package work

import (
	"ArmedPolice/app/controller/basic"
	"ArmedPolice/app/service"
)

type Person struct{ *service.Session }

type PersonHandle func(session *service.Session) *Person

func (c *Person) List() (*basic.PageDataResponse, error) {
	return &basic.PageDataResponse{Data: nil, Count: 0}, nil
}

func NewPerson() PersonHandle {
	return func(session *service.Session) *Person {
		return &Person{session}
	}
}
